Subject: bug#48489: 28.0.50; Incorrect Edebug instrumentation for old `when-let' form

From: Philipp Stephani <[email-masked]>
Date: Tue, 18 May 2021 17:55:57 +0200

Am Di., 18. Mai 2021 um 16:59 Uhr schrieb Glenn Morris <[email-masked]>:
>
> Philipp wrote:
>
> > This can be rectified by swapping the two `&or' branches in the Edebug
> > specification for `if-let', which makes sense given the first branch is
> > often a superset of the second.  I don't mind doing that, but maybe
> > there are negative conseqences from that that I don't see?
>
> Since 9676d41, edebug-tests-duplicate-symbol-backtrack fails.
> Ref eg https://hydra.nixos.org/build/143298928
> Reproduced on CentOS 8.3.

Hmm, I can't reproduce this on Debian. But I don't see how this could
be OS-dependent.